Bug 650995 - [Compiz] Unable to rename printer
Summary: [Compiz] Unable to rename printer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-08 15:49 UTC by Tim Waugh
Modified: 2011-05-26 14:45 UTC (History)
6 users (show)

Fixed In Version: system-config-printer-1.2.7-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-07 20:00:43 UTC


Attachments (Terms of Use)
Core dump from using system-config-printer to rename printers (5.17 MB, application/x-gzip)
2011-01-18 00:32 UTC, Peter Larsen
no flags Details

Description Tim Waugh 2010-11-08 15:49:39 UTC
Description of problem:
When Compiz is enabled, I am unable to rename a printer using system-config-printer.  If I disable Compiz, everything works fine.

Version-Release number of selected component (if applicable):
compiz-0.8.6-3.fc14.x86_64
system-config-printer-1.2.5-6.fc14.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Enable Compiz if not already enabled.
2.Create a print queue if you don't already have one: lpadmin -p foo -v /dev/null -E
2.System->Administration->Printing
3.Right-click on a local queue (e.g. 'foo' created above) and select 'Rename'
4.Click OK on the confirmation dialog.

Actual results:
Label is not in edit mode.

Expected results:
Label moves to edit mode.

Additional info:
Now try it again with compiz disabled... it works.

Comment 1 Hamidou Dia 2010-11-10 21:27:31 UTC
Hi Tim,

It indeed doesn't  look like  a compiz issue as I have been able to reproduce
this issue without activating compiz (try and insist sometimes you will be able to trigger it).m
I see you are the maintainer of s-c-p, can I send it back to you please ? (Could it be an issue with GTK indeed ? ..)

Regards

Hamidou Dia



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Tim Waugh 2010-12-02 16:14:24 UTC
After some more playing I've found the problem.

http://git.fedorahosted.org/git/?p=system-config-printer.git;a=commitdiff;h=3648725ac532ecb938118bb27834f3abfbc0341e

Comment 3 James Ettle 2010-12-02 16:31:16 UTC
(In reply to comment #2)
> http://git.fedorahosted.org/git/?p=system-config-printer.git;a=commitdiff;h=3648725ac532ecb938118bb27834f3abfbc0341e

Patch works for me here (system-config-printer-1.2.5-6.fc14.x86_64).

Comment 4 Fedora Update System 2010-12-20 15:22:26 UTC
system-config-printer-1.2.5-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-8.fc14

Comment 5 Fedora Update System 2010-12-20 15:23:02 UTC
system-config-printer-1.2.5-8.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-8.fc13

Comment 6 Fedora Update System 2010-12-20 22:00:14 UTC
system-config-printer-1.2.5-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-8.fc13

Comment 7 Fedora Update System 2010-12-26 19:52:57 UTC
system-config-printer-1.2.5-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Peter Larsen 2011-01-18 00:17:32 UTC
This still fails for me. Even 1.2.6.1 does not update correct and segfaults.

Steps:
1. Open system-config-priner
2. Select (left click) on a printer
3. Right click and choose rename
4. Editing does NOT show key-in
5. Hit enter
6. The field now takes input
7. Type something
8. Hit enter
9. Name is now what was entered "blindly"
10. Repeat rename
11. On second "enter" -> segfault

Comment 9 Peter Larsen 2011-01-18 00:23:18 UTC
System - F13
system-config-printer-1.2.6.1


$ system-config-printer
/usr/share/system-config-printer/system-config-printer.py:3492: GtkWarning: gdk_window_new(): parent is destroyed

  self.view_area_vbox.show_all ()
/usr/share/system-config-printer/system-config-printer.py:3492: GtkWarning: gdk_window_set_user_data: assertion `GDK_IS_WINDOW (window)' failed
  self.view_area_vbox.show_all ()
/usr/share/system-config-printer/system-config-printer.py:3492: GtkWarning: gdk_drawable_get_size: assertion `GDK_IS_DRAWABLE (drawable)' failed
  self.view_area_vbox.show_all ()
/usr/share/system-config-printer/system-config-printer.py:3492: GtkWarning: Native Windows wider or taller than 65535 pixels are not supported
  self.view_area_vbox.show_all ()
/usr/share/system-config-printer/system-config-printer.py:3492: GtkWarning: gtk_style_attach: assertion `window != NULL' failed
  self.view_area_vbox.show_all ()
/usr/share/system-config-printer/system-config-printer.py:3492: GtkWarning: gdk_drawable_get_colormap: assertion `GDK_IS_DRAWABLE (drawable)' failed
  self.view_area_vbox.show_all ()
/usr/share/system-config-printer/system-config-printer.py:3492: GtkWarning: gdk_window_set_background: assertion `GDK_IS_WINDOW (window)' failed
  self.view_area_vbox.show_all ()
Segmentation fault (core dumped)

Comment 10 Peter Larsen 2011-01-18 00:32:59 UTC
Created attachment 473952 [details]
Core dump from using system-config-printer to rename printers

Renaming prompts twice. Only the first input is "used" but not reflected by system-config-printer until refreshed. If the same printer is attempted to be renamed twice the segdump happens.

Comment 11 Tim Waugh 2011-01-20 17:41:37 UTC
OK, reverted.  The grab_focus() call is what was preventing editing from actually starting. :-(

Comment 12 Tim Waugh 2011-01-20 17:43:50 UTC
Seems to also work in compiz now (tested 611d90982f3703e292918f6cbffadc4ed5651b15).

Comment 13 Fedora Update System 2011-01-21 13:26:23 UTC
system-config-printer-1.2.6-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.6-3.fc14

Comment 14 Fedora Update System 2011-01-21 23:00:15 UTC
system-config-printer-1.2.6-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-printer-1.2.6-3.fc13

Comment 15 Fedora Update System 2011-02-07 19:59:55 UTC
system-config-printer-1.2.6-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-03-15 21:55:01 UTC
system-config-printer-1.2.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 James Ettle 2011-05-23 21:33:06 UTC
This has shown up again with system-config-printer-1.2.8-1.fc14.i686. Might the more stable solution be to just show a dialogue prompting for the new name, or add it as a new field in the printer's properties window?

Comment 18 Tim Waugh 2011-05-26 14:45:02 UTC
It would be nice to fix whatever the real bug is though.  Failing that maybe it would be better to remove this feature altogether...


Note You need to log in before you can comment on or make changes to this bug.